import React from "react";
import { Meta, StoryFn } from "@storybook/react";
import {
  MarketPlaceBooking,
  MarketPlaceBookingProps,
} from "./MarketPlaceBooking";

export default {
  title: "Molecules/MarketPlace Bookings",
  component: MarketPlaceBooking,
} as Meta;

const Template: StoryFn<MarketPlaceBookingProps> = (args) => (
  <MarketPlaceBooking {...args} />
);

export const Default = Template.bind({});
Default.args = {
  datesAvailableForBookings: [
    new Date(2023, 10, 6).toString(),
    new Date(2023, 10, 15).toString(),
    new Date(2023, 10, 16).toString(),
    new Date(2023, 11, 10).toString(),
    new Date(2023, 11, 12).toString(),
    new Date(2023, 11, 20).toString(),
  ],
  timeSlots: [
    { id: 1, title: "12:30 AM" },
    { id: 2, title: "1:30 PM" },
    { id: 3, title: "2:30 PM" },
    { id: 4, title: "3:30 PM" },
  ],
  defaultSelectedDays: [new Date(2023, 10, 6)],
};
